I have a issue with the AMP configuration

cancel
Showing results for 
Search instead for 
Did you mean: 
viperboys
Active Member II

I have a issue with the AMP configuration

Jump to solution

I have a issue configuring my development environment. I followed these steps. https://docs.alfresco.com/5.1/tasks/alfresco-sdk-tutorials-all-in-one-archetype.html But when I run the run.sh file I have this error.

C__Users_Edgar_acme-cms-poc_run.sh 2020-06-23 17.41.21.png

How I can solve it?

2 Solutions

Accepted Solutions
Jendert
Active Member II

Re: I have a issue with the AMP configuration

Jump to solution

Did you configure a JDK for your project?
I don't really know how to do it in Eclipse but StackOverflow says:

  • Right click your project > properties
  • Select “Java Build Path” on left, then “JRE System Library”, click Edit…
  • Select "Workspace Default JRE"
  • Click "Installed JREs"
  • If you see JRE you want in the list select it (selecting a JDK is OK too)

https://stackoverflow.com/questions/13635563/setting-jdk-in-eclipse

View solution in original post

abhinavmishra14
Moderator
Moderator

Re: I have a issue with the AMP configuration

Jump to solution

Seems like you have not set the JAVA_HOME and Not selected JDK Path in eclipse.

First step, set the java home. Follow this URL: https://confluence.atlassian.com/conf59/setting-the-java_home-variable-in-windows-792499849.html

Second step, set the Jdk path in eclipse. By default eclipse takes jre from environment variable. 

Look at this post, to setup eclipse with JDK: https://www.gamefromscratch.com/post/2011/11/15/Telling-Eclipse-to-use-the-JDK-instead-of-JRE.aspx

https://www.youtube.com/watch?v=S5xeXawYgK0

Once, you are done with these steps, close all terminals and close eclipse. Start the eclipse again and try performing the steps documented here: https://docs.alfresco.com/5.2/tasks/sdk-develop-eclipse.html 

I think you need to jump to Step 9 directly since you have already generated the project and imported in eclipse.

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)

View solution in original post

20 Replies
abhinavmishra14
Moderator
Moderator

Re: I have a issue with the AMP configuration

Jump to solution

It will be helpful to understand the error if you can post the full error log as text instead of image in english? So other folks can also help.

Did you also tried running the project in eclipse as well?

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)
viperboys
Active Member II

Re: I have a issue with the AMP configuration

Jump to solution

Hi @abhinavmishra14 

I want to do it with Eclipse but I don't know how to do it.

Can you help me with that?

abhinavmishra14
Moderator
Moderator

Re: I have a issue with the AMP configuration

Jump to solution

@viperboys 

Seems you followed the wrong documentation for ACS5.2. ACS5.2 works best with SDK3.x.

Follow the steps here to generate the base project: https://docs.alfresco.com/5.2/concepts/sdk-getting-started.html

You can follow the steps documented here run and test in Eclipse : https://docs.alfresco.com/5.2/tasks/sdk-develop-eclipse.html

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)
viperboys
Active Member II

Re: I have a issue with the AMP configuration

Jump to solution

Hi @abhinavmishra14 

I followed the steps you told me. When I ran the project I had this error.

Apache Maven 3.6.3 (cecedd343002696d0abb50b32b541b8a6ba2883f)
Maven home: C:\Users\Edgar\my-all-in-one\EMBEDDED
Java version: 14.0.1, vendor: Oracle Corporation, runtime: C:\Program Files\Java\jdk-14.0.1
Default locale: es_VE, platform encoding: Cp1252
OS name: "windows 10", version: "10.0", arch: "amd64", family: "windows"
[WARNING] The POM for org.eclipse.m2e:lifecycle-mapping:jar:1.0.0 is missing, no dependency information available
[WARNING] Failed to retrieve plugin descriptor for org.eclipse.m2e:lifecycle-mapping:1.0.0: Plugin org.eclipse.m2e:lifecycle-mapping:1.0.0 or one of its dependencies could not be resolved: Failure to find org.eclipse.m2e:lifecycle-mapping:jar:1.0.0 in https://artifacts.alfresco.com/nexus/content/groups/public was cached in the local repository, resolution will not be reattempted until the update interval of alfresco-plugin-public has elapsed or updates are forced
org.apache.maven.plugin.PluginResolutionException: Plugin org.eclipse.m2e:lifecycle-mapping:1.0.0 or one of its dependencies could not be resolved: Failure to find org.eclipse.m2e:lifecycle-mapping:jar:1.0.0 in https://artifacts.alfresco.com/nexus/content/groups/public was cached in the local repository, resolution will not be reattempted until the update interval of alfresco-plugin-public has elapsed or updates are forced
at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolve(DefaultPluginDependenciesResolver.java:131)
at org.apache.maven.plugin.internal.DefaultMavenPluginManager.getPluginDescriptor(DefaultMavenPluginManager.java:182)
at org.apache.maven.plugin.DefaultBuildPluginManager.loadPlugin(DefaultBuildPluginManager.java:86)
at org.apache.maven.plugin.prefix.internal.DefaultPluginPrefixResolver.resolveFromProject(DefaultPluginPrefixResolver.java:139)
at org.apache.maven.plugin.prefix.internal.DefaultPluginPrefixResolver.resolveFromProject(DefaultPluginPrefixResolver.java:125)
at org.apache.maven.plugin.prefix.internal.DefaultPluginPrefixResolver.resolve(DefaultPluginPrefixResolver.java:85)
at org.apache.maven.lifecycle.internal.MojoDescriptorCreator.findPluginForPrefix(MojoDescriptorCreator.java:266)
at org.apache.maven.lifecycle.internal.MojoDescriptorCreator.getMojoDescriptor(MojoDescriptorCreator.java:220)
at org.apache.maven.lifecycle.internal.DefaultLifecycleTaskSegmentCalculator.calculateTaskSegments(DefaultLifecycleTaskSegmentCalculator.java:104)
at org.apache.maven.lifecycle.internal.DefaultLifecycleTaskSegmentCalculator.calculateTaskSegments(DefaultLifecycleTaskSegmentCalculator.java:83)
at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:89)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:957)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:289)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:193)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:282)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:225)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:406)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:347)
Caused by: org.eclipse.aether.resolution.ArtifactResolutionException: Failure to find org.eclipse.m2e:lifecycle-mapping:jar:1.0.0 in https://artifacts.alfresco.com/nexus/content/groups/public was cached in the local repository, resolution will not be reattempted until the update interval of alfresco-plugin-public has elapsed or updates are forced
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:424)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:229)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:207)
at org.eclipse.aether.internal.impl.DefaultRepositorySystem.resolveArtifact(DefaultRepositorySystem.java:262)
at org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolve(DefaultPluginDependenciesResolver.java:127)
... 24 more
Caused by: org.eclipse.aether.transfer.ArtifactNotFoundException: Failure to find org.eclipse.m2e:lifecycle-mapping:jar:1.0.0 in https://artifacts.alfresco.com/nexus/content/groups/public was cached in the local repository, resolution will not be reattempted until the update interval of alfresco-plugin-public has elapsed or updates are forced
at org.eclipse.aether.internal.impl.DefaultUpdateCheckManager.newException(DefaultUpdateCheckManager.java:218)
at org.eclipse.aether.internal.impl.DefaultUpdateCheckManager.checkArtifact(DefaultUpdateCheckManager.java:193)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.gatherDownloads(DefaultArtifactResolver.java:559)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.performDownloads(DefaultArtifactResolver.java:483)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:401)
... 28 more

[ERROR] No plugin found for prefix 'alfresco' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (C:\Users\Edgar\.m2\repository), alfresco-plugin-public (https://artifacts.alfresco.com/nexus/content/groups/public), alfresco-plugin-public-snapshots (https://artifacts.alfresco.com/nexus/content/groups/public-snapshots), central (https://repo.maven.apache.org/maven2)] -> [Help 1]
org.apache.maven.plugin.prefix.NoPluginFoundForPrefixException: No plugin found for prefix 'alfresco' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (C:\Users\Edgar\.m2\repository), alfresco-plugin-public (https://artifacts.alfresco.com/nexus/content/groups/public), alfresco-plugin-public-snapshots (https://artifacts.alfresco.com/nexus/content/groups/public-snapshots), central (https://repo.maven.apache.org/maven2)]
at org.apache.maven.plugin.prefix.internal.DefaultPluginPrefixResolver.resolve(DefaultPluginPrefixResolver.java:95)
at org.apache.maven.lifecycle.internal.MojoDescriptorCreator.findPluginForPrefix(MojoDescriptorCreator.java:266)
at org.apache.maven.lifecycle.internal.MojoDescriptorCreator.getMojoDescriptor(MojoDescriptorCreator.java:220)
at org.apache.maven.lifecycle.internal.DefaultLifecycleTaskSegmentCalculator.calculateTaskSegments(DefaultLifecycleTaskSegmentCalculator.java:104)
at org.apache.maven.lifecycle.internal.DefaultLifecycleTaskSegmentCalculator.calculateTaskSegments(DefaultLifecycleTaskSegmentCalculator.java:83)
at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:89)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:957)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:289)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:193)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:282)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:225)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:406)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:347)
[ERROR]
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/NoPluginFoundForPrefixException

viperboys
Active Member II

Re: I have a issue with the AMP configuration

Jump to solution

Hi @abhinavmishra14 

I followed the steps you told me. When I ran the project I had this error.

[ERROR] No plugin found for prefix 'alfresco' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (C:\Users\Edgar\.m2\repository), alfresco-plugin-public (https://artifacts.alfresco.com/nexus/content/groups/public), alfresco-plugin-public-snapshots (https://artifacts.alfresco.com/nexus/content/groups/public-snapshots), central (https://repo.maven.apache.org/maven2)] -> [Help 1]
org.apache.maven.plugin.prefix.NoPluginFoundForPrefixException: No plugin found for prefix 'alfresco' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (C:\Users\Edgar\.m2\repository), alfresco-plugin-public (https://artifacts.alfresco.com/nexus/content/groups/public), alfresco-plugin-public-snapshots (https://artifacts.alfresco.com/nexus/content/groups/public-snapshots), central (https://repo.maven.apache.org/maven2)]
at org.apache.maven.plugin.prefix.internal.DefaultPluginPrefixResolver.resolve(DefaultPluginPrefixResolver.java:95)
at org.apache.maven.lifecycle.internal.MojoDescriptorCreator.findPluginForPrefix(MojoDescriptorCreator.java:266)
at org.apache.maven.lifecycle.internal.MojoDescriptorCreator.getMojoDescriptor(MojoDescriptorCreator.java:220)
at org.apache.maven.lifecycle.internal.DefaultLifecycleTaskSegmentCalculator.calculateTaskSegments(DefaultLifecycleTaskSegmentCalculator.java:104)
at org.apache.maven.lifecycle.internal.DefaultLifecycleTaskSegmentCalculator.calculateTaskSegments(DefaultLifecycleTaskSegmentCalculator.java:83)
at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:89)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:305)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:192)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:105)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:957)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:289)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:193)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:282)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:225)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:406)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:347)
[ERROR]
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/NoPluginFoundForPrefixException

I hope that you can help me. Thank you

viperboys
Active Member II

Re: I have a issue with the AMP configuration

Jump to solution

Hi @abhinavmishra14 

I followed the steps you told me. When I ran the project I had this error.

eclipse-workspace - Eclipse IDE 2020-06-24 16.19.34.png

abhinavmishra14
Moderator
Moderator

Re: I have a issue with the AMP configuration

Jump to solution

Can you provide the steps you followed? At what step you are getting the error ? 

Seems to me that you are getting the error in very first step.

If you are using windows cmd, this command will work:

mvn archetype:generate -Dfilter=org.alfresco:

If you are using windows powershell, use command like:

mvn archetype:generate -Dfilter="org.alfresco:"

For linux or mac terminal either of the above commands may work.

You had asked similar questions previously;

https://hub.alfresco.com/t5/alfresco-content-services-forum/how-to-configure-the-development-environ...

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)
viperboys
Active Member II

Re: I have a issue with the AMP configuration

Jump to solution

Hi @abhinavmishra14 

I send you a video of the steps I have taken. I hope you can help me because I am desperate. Smiley Sad

https://www.loom.com/share/caea63125c7f4a9498ef55eb523c7d67

That's right, but since they closed that ticket, I opened another one. I hope there is no problem.

Why is it so difficult to install this development environment? Hahaha

Thank you

 

abhinavmishra14
Moderator
Moderator

Re: I have a issue with the AMP configuration

Jump to solution

Setting and using sdk is not as difficult as you are thinking Smiley Happy

Initially it all looks greek and latin but later you will feel comfortable when you are used to of things. 

1- I am not sure why you have configured two different java versions, i would suggest to use just one i.e. jdk11 as documented here:

you should see same version for java -version and javac -version. See the example below:

 

C:\Users\abhinavmishra14>java -version
java version "11.0.4" 2019-07-16 LTS
Java(TM) SE Runtime Environment 18.9 (build 11.0.4+10-LTS)
Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11.0.4+10-LTS, mixed mode)

C:\Users\abhinavmishra14>javac -version
javac 11.0.4

 

https://docs.alfresco.com/6.2/concepts/supported-platforms-ACS.html

JRE 6.2.0 6.2.1 Comment
OpenJDK 11.0.7    
OpenJDK 11.0.1  
Oracle JDK 11.0.1  

 

2- The error is not in english so can't understand properly Smiley Happy

The error seems to be due to windows path. Windows often causes issues while executing commands where there is a space between the path. 

In your case your maven installation is in "C:\Program Files\apache-maven-3.6.3". Can you move this to "C:\apache-maven-3.6.3"? and update the maven path in environment variable accordingly. This is simplest fix for this error for you

Note: Make sure Docker enginer is running before you use "run.bat", else it will fail after completing build and during launch of containers. As per your video steps, you generated base project for ACS 6.2.x using SDK 4.1.0 which requires docker engine to launch containers and deploy the modules.

This post is tagged as ACS5.2.x, so be sure which version you really want to use. see the supported versions here if you are intended to use ACS5.2.x : https://docs.alfresco.com/5.2/concepts/supported-platforms-ACS.html

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)